unit emapi;

interface

const
   ALIGNLEFT=0;
   ALIGNRIGHT=1;
   PROCESS_SUCCESSFULLY=0;
   PROCESS_ERROR_NOTFOUND=-101;
   PROCESS_ERROR_NOTSUPPORTED=-102;

type
   { Type of Generic Distributed NetWork Service (GDNS)  }
   TGDNS=function(Request:String;var Response:String):Integer;stdcall;

function Ut_IntoPackage(Dest,Source:String):String;stdcall;
         external 'utils.dll' name 'IntoPackage';
function Ut_OutofPackage(Source:String;var Tail:String):String;stdcall;
         external 'utils.dll' name 'OutofPackage';
function Ut_FormatInf(src:String;Len:Integer;ALIGNMENT:Integer):String;stdcall;
         external 'utils.dll' name 'FormatInf';
function Ut_GetInitFileName(ExeName:String):String;stdcall;
         external 'utils.dll' name 'GetInitFileName';

function Netreq_Version:String;Stdcall;external 'Netreq.dll' name 'Version';

procedure Netreq_Request(RemoteAddr,RemotePort:String;RequestStr:String;var ResponseStr:String);stdcall;
          external 'Netreq.dll' name 'ClientRequest';

implementation

end.
